Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v1
Class AtmAndChildrenType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v1.BaseType
          be.fgov.ehealth.samcivics.type.v1.AtmType
              be.fgov.ehealth.samcivics.type.v1.AtmAndChildrenType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:31:40+02:00",
               comments="JAXB RI v2.2.6")
    public class AtmAndChildrenType

extends AtmType
implements Serializable

Java class for AtmAndChildrenType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AtmAndChildrenType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:samcivics:type:v1}AtmType">
           <sequence>
             <element name="amppList" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="ampp" type="{urn:be:fgov:ehealth:samcivics:type:v1}AmppType" maxOccurs="unbounded"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AtmAndChildrenType()`

Method Summary
`AmppList` | `getAmppList()` Gets the value of the amppList property.
`void` | `setAmppList(AmppList value)` Sets the value of the amppList property.

Methods inherited from class be.fgov.ehealth.samcivics.type.v1.AtmType
`getAtmId, getName, setAtmId, setName`

Methods inherited from class be.fgov.ehealth.samcivics.type.v1.BaseType
`getEndDate, getStartDate, setEndDate, setStartDate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtmAndChildrenType

    public AtmAndChildrenType()

Method Detail

### getAmppList

    public AmppList getAmppList()

  Gets the value of the amppList property.

  Returns:
    possible object is `AmppList`

### setAmppList

    public void setAmppList(AmppList value)

  Sets the value of the amppList property.

  Parameters:
    `value` - allowed object is `AmppList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.